| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Forms.ValueChangeEventArgs< ValueType > Class Template Reference

Event arguments for events bearing information about value that has changed. More...

Inheritance diagram for IG.Forms.ValueChangeEventArgs< ValueType >:
[legend]
Collaboration diagram for IG.Forms.ValueChangeEventArgs< ValueType >:
[legend]

## Public Member Functions
| ValueChangeEventArgs ()
| Default constructor, leaves old and new values unspecified. More...
| ValueChangeEventArgs (ValueType oldValue, ValueType newValue, bool oldValueDefined=true, bool newValueDefined=true)
| Constructs event args with specific old and new value (oldValue and newValue ). More...

## Properties
ValueType | Old`[get, set]`
| Old value of the item that has changed. More...
bool | OldDefined`[get, set]`
| Indicates whether the old value of the item is defined. More...
ValueType | New`[get, set]`
| New value of the item that has changed. More...
bool | NewDefined`[get, set]`
| Indicates whether the old value of the item is defined. More...

## Detailed Description

Event arguments for events bearing information about value that has changed.

Old and new values should normally be set via constructor.

Template Parameters

  ValueType | Type of the value that has changed.

Fields New and Old contain the new and the old value of the item whose value has changed. Either of them can be defined or not, and flags NewDefined and OldDefined specify that.

## Constructor & Destructor Documentation

IG.Forms.ValueChangeEventArgs< ValueType >.ValueChangeEventArgs | ( |  | ) |
| inline

Default constructor, leaves old and new values unspecified.

To specify new and old values in constructor, use ValuChangedEventArgs{ValueType}(ValueType, ValueType) or ValuChangedEventArgs{ValueType}(ValueType old, ValueType new, bool oldDefined, bool newDefined)

IG.Forms.ValueChangeEventArgs< ValueType >.ValueChangeEventArgs | ( | ValueType | oldValue,
|  | ValueType | newValue,
|  | bool | oldValueDefined = `true`,
|  | bool | newValueDefined = `true`
| ) |  |
| inline

Constructs event args with specific old and new value (oldValue and newValue ).

Optional arguments oldValueDefined and newValueDefined can specify whether the values have actually been defined (default is true, so one can call constructor without these flags, implying that both old and new values are specified).

Parameters

  oldValue | Old value of the item that has changed.
  newValue |
  oldValueDefined |
  newValueDefined |

## Property Documentation

ValueType IG.Forms.ValueChangeEventArgs< ValueType >.Old
| get set

Old value of the item that has changed.

bool IG.Forms.ValueChangeEventArgs< ValueType >.OldDefined
| get set

Indicates whether the old value of the item is defined.

It is possible that new or old value are not specified.

ValueType IG.Forms.ValueChangeEventArgs< ValueType >.New
| get set

New value of the item that has changed.

Referenced by IG.Forms.InputOutputDataDefinitionControl.inputDataDefinitionControl1_NumElementsChanged(), and IG.Forms.InputOutputDataDefinitionControl.outputDataDefinitionControl2_NumElementsChanged().

bool IG.Forms.ValueChangeEventArgs< ValueType >.NewDefined
| get set

Indicates whether the old value of the item is defined.

It is possible that new or old value are not specified.

Referenced by IG.Forms.InputOutputDataDefinitionControl.inputDataDefinitionControl1_NumElementsChanged(), and IG.Forms.InputOutputDataDefinitionControl.outputDataDefinitionControl2_NumElementsChanged().

The documentation for this class was generated from the following file:

- igforms/Basic/UtilEvents.cs